### Class

# GUPnP ServiceInfo

#### Description [src]

    abstract class GUPnP.ServiceInfo : GObject.Object
    {
      /* No available fields */
    }

Service information shared by local and remote services.

A class that contains the common parts between local and remote services.

#### Ancestors

- GObject

#### Descendants

- GUPnPService
- GUPnPServiceProxy

#### Instance methods

###### gupnp_service_info_get_context

Get the `GUPnPContext` associated with `info`.

###### gupnp_service_info_get_control_url

Get the control URL for this service, or `NULL`..

###### gupnp_service_info_get_event_subscription_url

Get the event subscription URL for this service, or `NULL`.

###### gupnp_service_info_get_id

Get the serviceID of this service, or `NULL` if there is no ID.

###### gupnp_service_info_get_location

Get the location of the device description file.

###### gupnp_service_info_get_scpd_url

Get the SCPD URL for this service, or `NULL` if there is no SCPD.

###### gupnp_service_info_get_service_type

Get the UPnP service type, or `NULL`.

###### gupnp_service_info_get_udn

Get the Unique Device Name of the containing device.

###### gupnp_service_info_get_url_base

Get the URL base of this service.

###### gupnp_service_info_introspect_async

Note that introspection object is created from the information in service description document (SCPD) provided by the service so it can not be created if the service does not provide a SCPD.

since: 1.2.2

###### gupnp_service_info_introspect_finish

Finish an asynchronous call initiated with gupnp_service_info_introspect_async().

since: 1.2.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnP.ServiceInfo:context

The `GUPnPContext` to use.

###### GUPnP.ServiceInfo:document

Private property.

###### GUPnP.ServiceInfo:element

Private property.

###### GUPnP.ServiceInfo:location

The location of the device description file.

###### GUPnP.ServiceInfo:service-type

The service type.

###### GUPnP.ServiceInfo:udn

The UDN of the containing device.

###### GUPnP.ServiceInfo:url-base

The URL base (`SoupURI`).

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPServiceInfoClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.